Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class TieFolderPathRelationship

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.Relationship

                                    |

                                    +--oracle.ifs.beans.TieRelationship

                                          |

                                          +--oracle.ifs.beans.FolderRelationship

                                                |

                                                +--oracle.ifs.beans.TieFolderRelationship

                                                      |

                                                      +--oracle.ifs.beans.FolderPathRelationship

                                                            |

                                                            +--oracle.ifs.beans.TieFolderPathRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

public class TieFolderPathRelationship
extends FolderPathRelationship

TieFolderPathRelationship allows the Oracle-defined behavior of the FOLDERPATHRELATIONSHIP classobject (and its subclasses) to be extended or overridden.

See Also:
  `FolderPathRelationship`

Fields inherited from class oracle.ifs.beans.FolderPathRelationship
`CLASS_NAME, LEFTOBJECTCOPY_ATTRIBUTE, RIGHTOBJECTNAME_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.Relationship
`LEFTOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, RIGHTOBJECT_ATTRIBUTE, SORTSEQUENCE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Constructor Summary
`protected` | `TieFolderPathRelationship(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a TieFolderPathRelationship.

Methods inherited from class oracle.ifs.beans.Relationship
`getLeftObject, getRightObject, getSortSequence`

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### TieFolderPathRelationship

    protected TieFolderPathRelationship(LibrarySession session,
                                        java.lang.Long id,
                                        java.lang.Long classId,
                                        S_LibraryObjectData data)
                                 throws IfsException

  Constructs a TieFolderPathRelationship.
  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD